## com.fasterxml.jackson.core.json
Class CoreVersion

    java.lang.Object
      com.fasterxml.jackson.core.util.VersionUtil
          com.fasterxml.jackson.core.json.CoreVersion

    public class CoreVersion

extends VersionUtil

Helper class used for finding and caching version information for the core bundle. NOTE: although defined as public, should NOT be accessed directly from outside core bundle itself.

Field Summary
`static CoreVersion` `instance`

Fields inherited from class com.fasterxml.jackson.core.util.VersionUtil
`VERSION_FILE`

Constructor Summary
`CoreVersion()`

Method Summary

Methods inherited from class com.fasterxml.jackson.core.util.VersionUtil
`mavenVersionFor, parseVersion, parseVersion, parseVersionPart, version, versionFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final CoreVersion instance

Constructor Detail

### CoreVersion

    public CoreVersion()

Copyright © 2012 FasterXML. All Rights Reserved.